# Class Configuration

java.lang.Object
com.io7m.certusine.vanilla.internal.jaxb.Configuration

public class Configuration extends Object

Java class for anonymous complex type.

The following schema fragment specifies the expected content contained within this class.

    <complexType>
      <complexContent>
        <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
          <sequence>
            <element ref="{urn:com.io7m.certusine:configuration:2}Options"/>
            <element ref="{urn:com.io7m.certusine:configuration:2}Accounts"/>
            <element ref="{urn:com.io7m.certusine:configuration:2}Outputs"/>
            <element ref="{urn:com.io7m.certusine:configuration:2}DNSConfigurators"/>
            <element ref="{urn:com.io7m.certusine:configuration:2}Domains"/>
            <element ref="{urn:com.io7m.certusine:configuration:2}OpenTelemetry" minOccurs="0"/>
            <element ref="{urn:com.io7m.certusine:configuration:2}FaultInjection" minOccurs="0"/>
          </sequence>
        </restriction>
      </complexContent>
    </complexType>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected Accounts`
  `accounts`
  `protected DNSConfigurators`
  `dnsConfigurators`
  `protected Domains`
  `domains`
  `protected FaultInjection`
  `faultInjection`
  `protected OpenTelemetry`
  `openTelemetry`
  `protected Options`
  `options`
  `protected Outputs`
  `outputs`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Configuration()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Accounts`
  `getAccounts()`
  Gets the value of the accounts property.
  `DNSConfigurators`
  `getDNSConfigurators()`
  Gets the value of the dnsConfigurators property.
  `Domains`
  `getDomains()`
  Gets the value of the domains property.
  `FaultInjection`
  `getFaultInjection()`
  Gets the value of the faultInjection property.
  `OpenTelemetry`
  `getOpenTelemetry()`
  Gets the value of the openTelemetry property.
  `Options`
  `getOptions()`
  Gets the value of the options property.
  `Outputs`
  `getOutputs()`
  Gets the value of the outputs property.
  `void`
  `setAccounts(Accounts value)`
  Sets the value of the accounts property.
  `void`
  `setDNSConfigurators(DNSConfigurators value)`
  Sets the value of the dnsConfigurators property.
  `void`
  `setDomains(Domains value)`
  Sets the value of the domains property.
  `void`
  `setFaultInjection(FaultInjection value)`
  Sets the value of the faultInjection property.
  `void`
  `setOpenTelemetry(OpenTelemetry value)`
  Sets the value of the openTelemetry property.
  `void`
  `setOptions(Options value)`
  Sets the value of the options property.
  `void`
  `setOutputs(Outputs value)`
  Sets the value of the outputs property.

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### options

    protected Options options

  - ### accounts

    protected Accounts accounts

  - ### outputs

    protected Outputs outputs

  - ### dnsConfigurators

    protected DNSConfigurators dnsConfigurators

  - ### domains

    protected Domains domains

  - ### openTelemetry

    protected OpenTelemetry openTelemetry

  - ### faultInjection

    protected FaultInjection faultInjection

- ## Constructor Details

  - ### Configuration

    public Configuration()

- ## Method Details

  - ### getOptions

    public Options getOptions()
    Gets the value of the options property.
    Returns:
      possible object is `Options`

  - ### setOptions

    public void setOptions(Options value)
    Sets the value of the options property.
    Parameters:
      `value` - allowed object is `Options`

  - ### getAccounts

    public Accounts getAccounts()
    Gets the value of the accounts property.
    Returns:
      possible object is `Accounts`

  - ### setAccounts

    public void setAccounts(Accounts value)
    Sets the value of the accounts property.
    Parameters:
      `value` - allowed object is `Accounts`

  - ### getOutputs

    public Outputs getOutputs()
    Gets the value of the outputs property.
    Returns:
      possible object is `Outputs`

  - ### setOutputs

    public void setOutputs(Outputs value)
    Sets the value of the outputs property.
    Parameters:
      `value` - allowed object is `Outputs`

  - ### getDNSConfigurators

    public DNSConfigurators getDNSConfigurators()
    Gets the value of the dnsConfigurators property.
    Returns:
      possible object is `DNSConfigurators`

  - ### setDNSConfigurators

    public void setDNSConfigurators(DNSConfigurators value)
    Sets the value of the dnsConfigurators property.
    Parameters:
      `value` - allowed object is `DNSConfigurators`

  - ### getDomains

    public Domains getDomains()
    Gets the value of the domains property.
    Returns:
      possible object is `Domains`

  - ### setDomains

    public void setDomains(Domains value)
    Sets the value of the domains property.
    Parameters:
      `value` - allowed object is `Domains`

  - ### getOpenTelemetry

    public OpenTelemetry getOpenTelemetry()
    Gets the value of the openTelemetry property.
    Returns:
      possible object is `OpenTelemetry`

  - ### setOpenTelemetry

    public void setOpenTelemetry(OpenTelemetry value)
    Sets the value of the openTelemetry property.
    Parameters:
      `value` - allowed object is `OpenTelemetry`

  - ### getFaultInjection

    public FaultInjection getFaultInjection()
    Gets the value of the faultInjection property.
    Returns:
      possible object is `FaultInjection`

  - ### setFaultInjection

    public void setFaultInjection(FaultInjection value)
    Sets the value of the faultInjection property.
    Parameters:
      `value` - allowed object is `FaultInjection`